// takkie3dm1
// from el3t3.shader
textures/takkie3dm1/q1tele
	{
	qer_editorimage textures/takkie3dm1/q1tele.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	cull disable
	tessSize 128
	q3map_surfacelight 250

		{
		map textures/effects/envmap.tga
		rgbGen identity
		tcGen environment
		}
		{
		map textures/takkie3dm1/q1tele.tga
		blendfunc blend
		rgbGen identity
		tcMod turb 0 0.3 0 0.2
		}
	}
// from eq2.shader

textures/takkie3dm1/eq2lt_trimlight_500
{
	surfaceparm nomarks
	q3map_surfacelight 500
	q3map_lightsubdivide 32
	q3map_lightimage textures/takkie3dm1/eq2_trimlight_01.blend.tga
	qer_editorimage textures/takkie3dm1/eq2_trimlight_01.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/takkie3dm1/eq2_trimlight_01.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/takkie3dm1/eq2_trimlight_01.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}
textures/takkie3dm1/eq2lt_trimlight_s_500
{
	surfaceparm nomarks
	q3map_surfacelight 500
	q3map_lightsubdivide 32
	q3map_lightimage textures/takkie3dm1/eq2_trimlight_01s.blend.tga
	qer_editorimage textures/takkie3dm1/eq2_trimlight_01s.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/takkie3dm1/eq2_trimlight_01s.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/takkie3dm1/eq2_trimlight_01s.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}
textures/takkie3dm1/eq2lt_spawnlite_1k
{
	surfaceparm nomarks
	q3map_surfacelight 1000
	q3map_lightimage textures/takkie3dm1/eq2_weap_spawnlite.blend.tga
	qer_editorimage textures/takkie3dm1/eq2_weap_spawnlite.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/takkie3dm1/eq2_weap_spawnlite.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/takkie3dm1/eq2_weap_spawnlite.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}
//************************************************************//
// from mkoxide.shader					      //
// Flourescent orange strip light with 2000 light value       //
//************************************************************//
textures/takkie3dm1/wastelt1_2k
   {
   surfaceparm nomarks
   q3map_surfacelight 2000
   qer_editorimage textures/takkie3dm1/wastelt1_ed.tga
      {
      map $lightmap
      rgbGen identity
      }
      {
      map textures/takkie3dm1/wastelt1.tga
      blendFunc GL_DST_COLOR GL_ZERO
      rgbGen identity
      }
      {
      map textures/takkie3dm1/wastelt1glow.tga
      blendfunc GL_ONE GL_ONE
      }
   }
//************************************************************//
// Strogg emblem that hasn't been rusted and chipped off      //
//************************************************************//
textures/takkie3dm1/metal4_1shiny
   {
      {
      map textures/effects/envmapgold.tga
      tcGen environment
      }
      {
      map textures/takkie3dm1/metal4_1shiny.tga
      blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
      }
      {
      map $lightmap
      blendFunc GL_DST_COLOR GL_ZERO
      }
   }
// from evil3 & id textures and tech1soc.shader
textures/takkie3dm1/rstbounce
{
	qer_editorimage textures/takkie3dm1/rstbounce.tga
	q3map_lightimage textures/takkie3dm1/jumppadsmall.tga	
	q3map_surfacelight 800
	{
		map textures/takkie3dm1/telep.tga
                tcmod rotate 180
                tcMod stretch sin .8 0.1 0 .5
	}
	{
		clampmap textures/takkie3dm1/jumppadsmall.tga
		blendfunc add
		tcMod stretch sin 0.95 .7 0 1.25
		rgbGen wave square .5 .5 .25 1.25
		rgbgen identity
	}
	{
		map textures/takkie3dm1/rstbounce.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
	}
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

// from ikbase_sky.shader (modified for q3map2 by takkie)
// http://www.planetquake.com/ikq
textures/takkie3dm1/ik_sky_day
{
	skyparms - 512 -	

	q3map_lightimage textures/takkie3dm1/ik_sky_day_front.tga
	q3map_sunExt .6 .6 .4 90 150 60 3 32
	q3map_lightmapFilterRadius 0 8
	q3map_skylight 250 6

	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight

	nopicmip
	nomipmaps

	qer_editorimage textures/takkie3dm1/ik_sky_day_back.tga
	{
		map textures/takkie3dm1/ik_sky_day_back.tga
		tcMod scale 2 2
		tcMod scroll 0.001 0.001
		depthWrite
	}
	{
		map textures/takkie3dm1/ik_sky_day_front.tga
		blendFunc GL_ONE GL_ONE
		tcMod scale 3 3
		tcMod scroll 0.02 0.02
	}
}